View Issue Details

IDProjectCategoryView StatusLast Update
0001724XdebugUncategorizedpublic2019-12-07 17:15
ReporterderickAssigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.8.1 
Target Version2.9.0Fixed in Version2.9.0 
Summary0001724: Missing property types and uninitialised variables in variable dumping routines
DescriptionPHP 7.4 introduced typed properties, which should be shown in var_dump and related functions. These currently also miss the uninitialised properties as well.

This needs fixing for:
- CLI dumper
- HTML dumper
- Line dumper
- DBGp

See also https://bugs.php.net/bug.php?id=78901
TagsNo tags attached.
Operating System
PHP Version7.4-dev

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-12-06 18:14 derick New Issue
2019-12-07 17:14 derick Assigned To => derick
2019-12-07 17:14 derick Status new => closed
2019-12-07 17:14 derick Resolution open => fixed
2019-12-07 17:15 derick Fixed in Version => 2.9.0
2020-03-12 16:35 derick Category Usage problems (Wrong Results) => Variable Display
2020-03-12 16:38 derick Category Variable Display => Uncategorized